Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::projection_error Struct Reference

`#include <util.hpp>`

Inheritance diagram for osmium::projection_error:
[legend]
Collaboration diagram for osmium::projection_error:
[legend]

## Public Member Functions
| projection_error (const std::string &what)
| projection_error (const char *what)

## Detailed Description

Exception thrown when a projection object can not be initialized or the projection of some coordinates can not be calculated.

## Constructor & Destructor Documentation

## ◆ projection_error() [1/2]

osmium::projection_error::projection_error | ( | const std::string & | what | ) |
| inline explicit

## ◆ projection_error() [2/2]

osmium::projection_error::projection_error | ( | const char * | what | ) |
| inline explicit

The documentation for this struct was generated from the following file:

- include/osmium/geom/util.hpp